Bug 613103 - [PATCH] tsclient aborts on connection failure
[PATCH] tsclient aborts on connection failure
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tsclient (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-09 13:37 EDT by David Woodhouse
Modified: 2014-06-18 05:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 09:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2010-07-09 13:37:37 EDT
When attempting to connect to a host which doesn't respond, tsclient abvorts:

** Message: Command: rdesktop -g 3200x1200 -f -P -T win-i01.sc.foo.com win-i01.sc.foo.com 
tsclient: symbol lookup error: /usr/lib64/tsclient/plugins/libtsc-default.so: undefined symbol: notify_is_initted
Comment 1 David Woodhouse 2010-07-12 10:25:30 EDT
This ought to fix it, I suspect:

--- tsclient-2.0.2/src/plugins/default/Makefile.am~ 
+++ tsclient-2.0.2/src/plugins/default/Makefile.am 
@@ -64,6 +64,6 @@ libtsc_default_la_SOURCES =		\
 	tsc-vnc-provider.c			\
 	tsc-vnc-provider.h
 
-libtsc_default_la_LDFLAGS = -module -avoid-version
+libtsc_default_la_LDFLAGS = -module -avoid-version $(TSC_LIBS)
 
 EXTRA_DIST = tsc-ssh-askpass
Comment 2 Christopher Brown 2010-07-12 12:18:28 EDT
Thanks David!
Comment 3 David Woodhouse 2010-07-12 15:50:23 EDT
That's linking the plugin against far more libraries than it needs; perhaps it only needs libnotify but now it's linked against _loads_ of stuff. Perhaps it should be slimmed down but that means much more playing with autohell than I want to do.
Comment 4 Jerry Amundson 2010-09-02 00:21:31 EDT
My assumption is that the Assigned To here is either,
1. Deceased, or
2. Not interested.
Comment 5 Jerry Amundson 2010-09-02 13:36:20 EDT
Or,
3. Assigned To is busy, and has other priorities!

My apologies for the earlier remark - I have bugs with no activity for months and assumed otherwise. But I see updates by sandmann@redhat.com as recently as 2010-08-24 09:11:27 EDT.

I'll try to help by marking duplicates. Sorry for the noise.
Comment 6 Bug Zapper 2011-06-01 10:19:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2011-06-29 09:45:39 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.